# Zcage - An Illumos zone manager

Zcage is a zone manager for Illumos written in nodejs, is inspired by FreeBSD's 
iocage and SmartOS's vmadm, combining some of the best features of Illumos, like
crossbow and zones to create secure containers.  
It's intended to be easy to use with simple command syntax. 
  
  
## FEATURES:

* Easy to use
* Rapid thin provisioning within seconds
* Virtual networking
* Resource control
* Exclusive IP networking by default
* Support for brands sparse, ipkg, lipkg, bhyve, kvm and lx.
* Import docker images to create lx branded zones
* Import cloud-init images to be used by bhyve or kvm.

##  Demo

[![asciicast](https://asciinema.org/a/230321.svg)](https://asciinema.org/a/230321)
  

## Documentation:
--------------
   [Quickstart](https://github.com/cneira/zcage/blob/master/docs/quickstart.md)  
   [Install](https://github.com/cneira/zcage/blob/master/docs/install.md)  
   [Basic usage](https://github.com/cneira/zcage/blob/master/docs/basic-use.md)  
   [Networking](https://github.com/cneira/zcage/blob/master/docs/networking.md)  
   [Brand types](https://github.com/cneira/zcage/blob/master/docs/brand-types.md)  
   [Options available](https://github.com/cneira/zcage/blob/master/docs/Options.md)    
   [Rest Api](https://documenter.getpostman.com/view/7074848/S1EWPEso)

## Support

[![ko-fi](https://www.ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/J3J4YM9U)

It's also possible to support the project on [Patreon](https://www.patreon.com/neirac)
